Bug 150217 - Kernel hangs under heavy network I/O load
Kernel hangs under heavy network I/O load
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-03 15:01 EST by Tom Wood
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 23:41:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lspci -vvv of same machine running 766_FC3 (5.30 KB, text/plain)
2005-03-03 15:02 EST, Tom Wood
no flags Details

  None (edit)
Description Tom Wood 2005-03-03 15:01:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
While scping large .iso files from this machine to another, system locks up hard, requiring reset button or power cycling.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1.  Boot the 770_FC3 kernel
2.  scp large files
3.  Watch as system locks up hard after ~100 MB transferred.
  

Actual Results:  Hard lock.

Expected Results:  Should have worked.

Additional info:

766_FC3 works fine.  noacpi didn't help.
Comment 1 Tom Wood 2005-03-03 15:02:06 EST
Created attachment 111633 [details]
lspci -vvv of same machine running 766_FC3
Comment 2 Tom Wood 2005-03-07 15:27:52 EST
Can now confirm that the same thing happens on a dual Opteron under FC3 kernel
770 under x86_64.
Comment 3 Tom Wood 2005-06-02 15:39:15 EDT
Has done the same up through 2.6.11-1.27_FC3smp.  UP kernels don't exhibit this
behavior.
Comment 4 Dave Jones 2005-07-15 15:56:56 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Tom Wood 2005-08-08 14:14:05 EDT
Still occurs on this platform with every FC3 and FC4 kernel to date.
Comment 6 Dave Jones 2005-09-30 02:33:39 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 7 Dave Jones 2005-11-10 14:33:31 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 8 Dave Jones 2005-12-27 23:41:33 EST
This bug has been mass-closed along with other bugs that have been in NEEDINFO
state for several months.

Due to the large volume of inactive bugs in bugzilla, this is the only method we
have of cleaning out stale bug reports where the reporter has disappeared.

If you can reproduce this bug after installing all the current updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting it be reopened,
and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.